#
# spec file for package mcrypt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mcrypt
Version:        2.6.8
Release:        33.14
Summary:        Replacement for the crypt Command
License:        GPL-3.0+
Group:          Productivity/Security
Url:            http://mcrypt.sourceforge.net/
Source:         http://sourceforge.net/projects/mcrypt/files/MCrypt/%{version}/%{name}-%{version}.tar.gz
Patch1:         %{name}-%{version}-format_strings.patch
Patch2:         %{name}-%{version}-uninitialized.patch
# PATCH-FEATURE-OPENSUSE mcrypt-native-by-default.patch bnc385951 petr.uzel@suse.cz -- make native encryption format default (patch from Fedora)
Patch3:         mcrypt-native-by-default.patch
# PATCH-FIX-OPENSUSE mcrypt-manpage-fix.patch petr.uzel@suse.cz -- fix manpage typos (patch from Debian)
Patch4:         mcrypt-manpage-fix.patch
Patch5:         mcrypt-2.6.8-missing-fclose.patch
# PATCH-FIX-UPSTREAM fix by Fedora ( mcrypt-2.6.8-5.fc17.src.rpm ) mcrypt-2.6.7-gaafix.patch to fix arm build
Patch6:         mcrypt-2.6.7-gaafix.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libmcrypt-devel
BuildRequires:  libtool
BuildRequires:  mhash-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the
following encryption (block) algorithms: BLOWFISH, DES, TripleDES,
3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH,
RC6, IDEA, and GOST. The Unix crypt algorithm is also included to allow
compatibility with the crypt(1) command. CBC, ECB, OFB, and CFB modes
of encryption are supported.

%prep
%setup -q
%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
gettextize -f
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/FORMAT doc/magic doc/sample.mcryptrc
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Jul 12 2015 mpluskal@suse.com
- Use url for source
- Explicitly depend on autotools
- Cleanup spec file with spec-cleaner
* Mon May 14 2012 joop.boonen@opensuse.org
- add fix by Fedora ( mcrypt-2.6.8-5.fc17.src.rpm ) mcrypt-2.6.7-gaafix.patch
  to fix arm build
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Mar 22 2011 coolo@novell.com
- fix build, the autoreconf is needed again after libtool update
* Mon Jan  3 2011 aj@suse.de
- Remove mcrypt-2.6.8-gettext.patch, it's not needed. Do not call
  autoreconf, it just breaks the build.
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Thu Aug  6 2009 puzel@novell.com
- mcrypt-2.6.8-missing-fclose.patch (bnc#527721)
* Fri Apr 24 2009 puzel@suse.cz
- added mcrypt-native-by-default.patch (partially resolve bnc#385951)
  - openpgp format handling is seriously broken, so make native format default
    like in Fedora and Debian
- added mcrypt-manpage-fix.patch
  - fix typos in manpage
* Mon Jan 19 2009 prusnak@suse.cz
- updated to 2.6.8
  * Updated non valid C code to comply with standard ANSI C
    Affects openpgp code
- removed obsoleted overflow.patch
* Wed Jan 16 2008 prusnak@suse.cz
- updated to 2.6.7
  * corrected bugs related to freeing mhash (const) data
  * corrected bugs in the win32 random gatherer
  * THE CODE IS NOW UNDER GPLv3!
* Wed Jul 18 2007 prusnak@suse.cz
- updated to 2.6.6
  * corrections in getpass()
  * updates in OpenPGP code
  * made the OpenPGP file format the default
- fixed uninitialized variable in rfc2440.c (uninitialized.patch)
* Fri May  4 2007 prusnak@suse.cz
- updated to 2.6.5 (maintenance update)
- cleaned spec file
* Mon Apr  2 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 24 2007 prusnak@suse.cz
- corrected fix for buffer overflow (overflow.patch) [#238192]
* Tue May  9 2006 anicka@suse.cz
- fixed format string bug [#173839]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Apr 27 2005 meissner@suse.de
- fixed buffer overflow.
* Thu Jan 22 2004 ro@suse.de
- remove old aclocal.m4 and acinclude.m4
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Jul 24 2003 tcrhak@suse.cz
- update to version 2.6.4
* Thu Jun 19 2003 ro@suse.de
- build with current gettext
* Thu Dec 19 2002 tcrhak@suse.cz
- update to version 2.6.3
* Fri Aug 16 2002 prehak@suse.cz
- mhash is no more built under mcrypt, it is a separate package now
- fixed %%files section
* Mon Aug  5 2002 prehak@suse.cz
- update to version 2.6.2
- mhash updated to version 0.8.16
- set path to includes before running of configure
* Tue Apr  2 2002 tcrhak@suse.cz
- build with new automake/autoconf
* Wed Jan 30 2002 cihlar@suse.cz
- update mcrypt to 2.5.11
- update mhash to 0.8.13
- fixed %%files
* Mon Aug  6 2001 cihlar@suse.cz
- fixed calls of autoconf, aclocal and automake
* Tue Jun 26 2001 pblaha@suse.cz
- update on 2.5.7 and mhash on 0.8.9
* Mon May 28 2001 pblaha@suse.cz
- fix include on ia64
* Fri Apr 27 2001 pblaha@suse.cz
- fixed .po files for correct locale
* Mon Oct 16 2000 pblaha@suse.cz
- update to 2.5.5 and repair czech locales
* Mon May 29 2000 bubnikv@suse.cz
- sorted
* Mon Apr 17 2000 bubnikv@suse.cz
- new package (2.5.3)
